Bug 124391 - netcat lacks IPv6 functionality.
netcat lacks IPv6 functionality.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 06:22 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 10:02:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-05-26 06:22:02 EDT
Configuring ssh to use 'ProxyCommand ssh <someipv6box> nc %h %p' for
connecting to IPv6-only hosts fails. It seems nc doesn't support IPv6. 

Even nc 2.0-alpha2 is fairly odd. It _does_ support IPv6 but you have
to explicitly ask it to; it doesn't just look up the hostname it's
given and use RFC3484 ordering (which glibc will basically do _for_ it).
Comment 1 Bill Nottingham 2004-05-26 15:34:35 EDT
Got a patch? :)
Comment 2 Radek Vokal 2005-04-11 07:23:20 EDT
I've pushed new OpenBSD netcat into rawhide. Anyway it probably won't fix this
issue. You still have to specify whether you're using IPv6 or IPv4 mode.. 

David, where did you get nc-2.0 from? 
Comment 3 David Woodhouse 2005-04-11 07:51:38 EDT
Not sure. Possibly somewhere like 
http://sed.sf.net/grabbag/misc-paolo/nc-2.0-alpha4.tar.gz
Comment 4 Matthew Miller 2005-04-26 11:37:03 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Radek Vokal 2006-03-07 07:37:33 EST
I've proposed nc6 package to be included in extras. This should be replacement
for current nc. 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=184210
Comment 6 David Woodhouse 2006-03-07 08:16:15 EST
I think the nc-1.84-3.2 currently in rawhide seems to do IPv6 already.
Comment 7 Radek Vokal 2006-03-07 10:02:14 EST
Ok, closing this bug as rawhide.

Note You need to log in before you can comment on or make changes to this bug.